Package: org.gradle.api.tasks.compile

## [Java] Class DebugOptions

- org.gradle.api.tasks.compile.DebugOptions

- Debug options for Java compilation. Only take effect if CompileOptions.debug is set to `true`.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDebugLevel()` Tells which debugging information is to be generated.
    `void` | `setDebugLevel(String debugLevel)` Sets which debug information is to be generated.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractOptions` | `define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @Input @Optional public String getDebugLevel()

      Tells which debugging information is to be generated. The value is a comma-separated list of any of the following keywords (without spaces in between):

      `source`
        Source file debugging information
      `lines`
        Line number debugging information
      `vars`
        Local variable debugging information
      By default, only source and line debugging information will be generated.

    - #### public void setDebugLevel(String debugLevel)

      Sets which debug information is to be generated.